;VEDGE  --  lee haralick algorithm
;           calculates edge according to Paris conference 1986
;syntax:    *vedge
;expects:   image in a
;result:    image in p or h, depending on configuration
;P.Verbeek  (TU-Delft)  14-1-87 (modified 9-5-90: rje)
;*********************************************************************

IMAGE img

if (((improp fg) & DIS_BIT) == DIS_BIT)
  img = "p"
else
  img = "h"
endif

dis img

dest img
show img
dest q
min a 3
sub a q   ;orig - min
dest r
max a 3
sub r a   ;max - orig
dest img
sel r < q
cstr
stop




